Bug 205996 - devel/radare2: Update to 0.9.9
Summary: devel/radare2: Update to 0.9.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-07 07:45 UTC by oleksii.tsai
Modified: 2016-01-30 22:13 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Patch with port updates. (13.20 KB, text/plain)
2016-01-07 07:45 UTC, oleksii.tsai
no flags Details
Patch with port updates. Fixed. (12.41 KB, patch)
2016-01-18 01:41 UTC, oleksii.tsai
no flags Details | Diff
Poudriere build log (789.85 KB, text/plain)
2016-01-18 01:42 UTC, oleksii.tsai
no flags Details
Poudriere build log (796.66 KB, text/plain)
2016-01-18 01:42 UTC, oleksii.tsai
no flags Details
updated-patch (16.40 KB, patch)
2016-01-30 15:16 UTC, Kurt Jaeger
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description oleksii.tsai 2016-01-07 07:45:04 UTC
Created attachment 165201 [details]
Patch with port updates.

Proposed patch updates the port to the latest version of 0.9.9.
Upstream radare2 uses git submodules for its dependency on capstone pulling from capstone repo on every build invocation. But for the purpose of this port radare2 is configured to build with capstone available in the system (devel/capstone port). This also ensures similar configuration/build for a given radare2 and capstone ports combination.
Comment 2 oleksii.tsai 2016-01-17 21:25:45 UTC
(In reply to Martin Wilke from comment #1)
Confirmed the build failed for me, though with a different error. Let me check it and I'll try to get it fixed. In order to try reproduce your failure, how is this port configured for you?
Comment 3 oleksii.tsai 2016-01-18 01:41:56 UTC
Created attachment 165734 [details]
Patch with port updates. Fixed.
Comment 4 oleksii.tsai 2016-01-18 01:42:23 UTC
Created attachment 165735 [details]
Poudriere build log
Comment 5 oleksii.tsai 2016-01-18 01:42:47 UTC
Created attachment 165736 [details]
Poudriere build log
Comment 6 oleksii.tsai 2016-01-18 01:43:39 UTC
Updated the patch. Also attached build logs for 10.2 and 9.3.
Comment 7 Kurt Jaeger freebsd_committer 2016-01-30 07:12:05 UTC
Testbuilds done on 11, 10.2a+i, 9.3a, all fail at the same place:

/wrkdirs/usr/ports/devel/radare2/work/radare2-0.9.9/libr/../global.mk:40: recipe for target 'zip_dirent.o' failed

See http://people.freebsd.org/~pi/logs/devel__radare2-10a-1454137431.txt

etc.

Any ideas for the cause ?
Comment 8 Kurt Jaeger freebsd_committer 2016-01-30 07:12:48 UTC
Messed up the quote:

zip_dirent.c:113:24: error: use of undeclared identifier 'SIZE_MAX'
    else if ((nentry > SIZE_MAX/sizeof(*(cd->entry))) || (cd->entry=(str...
                       ^
Comment 9 Kurt Jaeger freebsd_committer 2016-01-30 07:49:32 UTC
(In reply to Kurt Jaeger from comment #8)
radare2 uses some included ZIP code, and files/patch* has a fix for a CVE.

There's the option to use --with-syszip, but it fails to touch all the bases.
Comment 10 Kurt Jaeger freebsd_committer 2016-01-30 15:14:44 UTC
I found a fix for the build problem, testbuilds@work.
Comment 11 Kurt Jaeger freebsd_committer 2016-01-30 15:16:27 UTC
Created attachment 166304 [details]
updated-patch
Comment 12 commit-hook freebsd_committer 2016-01-30 15:33:41 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 30 15:32:46 UTC 2016
New revision: 407531
URL: https://svnweb.freebsd.org/changeset/ports/407531

Log:
  devel/radare2: 0.9.8 -> 0.9.9

  Changes:
    http://radare.today/posts/radare-0-9-9/

  PR:		205996
  Submitted by:	oleksii.tsai@gmail.com
  Approved by:	torres.73a@gmail.com (maintainer timeout)

Changes:
  head/devel/radare2/Makefile
  head/devel/radare2/distinfo
  head/devel/radare2/files/patch-CVE-2015-2331
  head/devel/radare2/pkg-plist
Comment 13 Kurt Jaeger freebsd_committer 2016-01-30 15:37:41 UTC
Committed, thanks!
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-30 16:09:29 UTC
Comment on attachment 166304 [details]
updated-patch

Maintainer timeout (24 days), implicit approval
Comment 15 oleksii.tsai 2016-01-30 22:13:41 UTC
(In reply to Kurt Jaeger from comment #8)
SIZE_MAX comes from stdint.h. My original patch had that include but I screwed up when I updated the patch and that line got lost.